Bug 165971 - rpm fails to build on a rawhide system
rpm fails to build on a rawhide system
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-08-15 09:13 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-26 21:57:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log of build failure (52.25 KB, text/plain)
2005-08-15 09:13 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2005-08-15 09:13:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
configure: running /bin/sh './configure' --prefix=/usr  '--prefix=/usr' '--sysco
nfdir=/etc' '--localstatedir=/var' '--infodir=${prefix}/share/info' '--mandir=${
prefix}/share/man' '--with-python=2.4' '--enable-posixmutexes' '--without-javagl
ue' 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-prot
ector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=pentium4 -fasynchronous-
unwind-tables' --cache-file=/dev/null --srcdir=.
configure: error: unrecognized option: --param=ssp-buffer-size=4
Try `./../db/dist/configure --help' for more information.
mv: cannot stat `Makefile': No such file or directory
cat: Makefile.orig: No such file or directory
mv: cannot stat `db.h': No such file or directory
cat: db.h.orig: No such file or directory
make: *** No rule to make target `listobjs'.  Stop.
configure: error: /bin/sh './configure' failed for db3
error: Bad exit status from /var/tmp/rpm-4.4.2-3.src.rpm/rpm-tmp.18173 (%build)

Complete log attached

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.try to rebuild rpm on a rawhide system

Additional info:
Comment 1 Karsten Hopp 2005-08-15 09:13:43 EDT
Created attachment 117743 [details]
log of build failure
Comment 2 Jeff Johnson 2005-08-26 21:57:11 EDT
Fixed in rpm-4.4.3-0.4.

Note You need to log in before you can comment on or make changes to this bug.